Bug 160537 - MEL Syntax Highlighting (link to syntax XML file included)
Summary: MEL Syntax Highlighting (link to syntax XML file included)
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: syntax (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-07 23:33 UTC by Karl Erlandsen
Modified: 2011-08-12 08:36 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Karl Erlandsen 2008-04-07 23:33:45 UTC
Version:           2.5.8 (using KDE 3.5.8)
Installed from:    Debian testing/unstable Packages
OS:                Linux

Hi guys,
I've written a katepart syntax highlighting file for MEL, and thought I'd list it here for inclusion with kate. MEL is Maya Embedded Language, a scripting language used in Autodesk Maya and is commonly used in the animation and special effects industry to create and manipulate 3D objects. I've put the XML file on my website, it's available for download at this location:

http://www.kreanimate.co.uk/Tutorials/mel.xml

This is the first XML file I've written for kate, so you may wish to check it over first to make sure I haven't made any typical newbie errors... If you want some MEL code to test it with you can either email me, or see some of the freely available Maya MEL scripts available at www.highend3d.com. However I've been using it in my day-job for several days now, and I've yet to spot any problems...

Any problems or queries, please don't hesitate to ask!
Kind regards,
Karl
Comment 1 Christoph Cullmann 2011-08-12 08:36:43 UTC
Git commit c2285c75b337346378991788c85fe6950c10fc2d by Christoph Cullmann.
Committed on 12/08/2011 at 10:36.
Pushed by cullmann into branch 'master'.

add Maya MEL hl
thanks for contribution
BUG: 160537

A  +1381 -0    part/syntax/data/mel.xml

http://commits.kde.org/kate/c2285c75b337346378991788c85fe6950c10fc2d